/*
 * hw6.c
 *
 *  Created on: Oct 30, 2025
 *      Author: sowgro
 */

#include "stm32l476xx.h"
#include "stdio.h"
#include "UART.h"

void hw6_run() {

	UART2_Init();
	USART2->CR1 |= USART_CR1_RXNEIE;   // Enable RX interrupt
	NVIC_EnableIRQ(USART2_IRQn);
}

//void USART2_IRQHandler() {
//	int ch = USART_Read(USART2);
//	putchar(ch);
//}
